Skip to content
Start here

Update Zero Trust account logging settings

client.ZeroTrust.Gateway.Logging.Update(ctx, params) (*LoggingSetting, error)
PUT/accounts/{account_id}/gateway/logging

Update logging settings for the current Zero Trust account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params GatewayLoggingUpdateParams
AccountID param.Field[string]

Path param

LoggingSetting param.Field[LoggingSetting]

Body param

ReturnsExpand Collapse
type LoggingSetting struct{…}
RedactPii booloptional

Indicate whether to redact personally identifiable information from activity logging (PII fields include source IP, user email, user ID, device ID, URL, referrer, and user agent).

SettingsByRuleType LoggingSettingSettingsByRuleTypeoptional

Configure logging settings for each rule type.

DNS LoggingSettingSettingsByRuleTypeDNSoptional

Configure logging settings for DNS firewall.

LogAll booloptional

Specify whether to log all requests to this service.

LogBlocks booloptional

Specify whether to log only blocking requests to this service.

HTTP LoggingSettingSettingsByRuleTypeHTTPoptional

Configure logging settings for HTTP/HTTPS firewall.

LogAll booloptional

Specify whether to log all requests to this service.

LogBlocks booloptional

Specify whether to log only blocking requests to this service.

L4 LoggingSettingSettingsByRuleTypeL4optional

Configure logging settings for Network firewall.

LogAll booloptional

Specify whether to log all requests to this service.

LogBlocks booloptional

Specify whether to log only blocking requests to this service.

Update Zero Trust account logging settings

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  loggingSetting, err := client.ZeroTrust.Gateway.Logging.Update(context.TODO(), zero_trust.GatewayLoggingUpdateParams{
    AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
    LoggingSetting: zero_trust.LoggingSettingParam{

    },
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", loggingSetting.RedactPii)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "redact_pii": true,
    "settings_by_rule_type": {
      "dns": {
        "log_all": false,
        "log_blocks": true
      },
      "http": {
        "log_all": false,
        "log_blocks": true
      },
      "l4": {
        "log_all": false,
        "log_blocks": true
      }
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "redact_pii": true,
    "settings_by_rule_type": {
      "dns": {
        "log_all": false,
        "log_blocks": true
      },
      "http": {
        "log_all": false,
        "log_blocks": true
      },
      "l4": {
        "log_all": false,
        "log_blocks": true
      }
    }
  }
}